aboutsummaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rw-r--r--scripts/laminar/gn3-lint.sh15
-rw-r--r--scripts/laminar/gn3-mypy.sh15
-rw-r--r--scripts/laminar/gn3-unittest.sh15
3 files changed, 45 insertions, 0 deletions
diff --git a/scripts/laminar/gn3-lint.sh b/scripts/laminar/gn3-lint.sh
new file mode 100644
index 0000000..b6f0c89
--- /dev/null
+++ b/scripts/laminar/gn3-lint.sh
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+set -e # Abort on first error
+CUR_DIR=$PWD
+GN3_CI_DIR=$HOME/CI/genenetwork3/
+
+cd $GN3_CI_DIR
+git pull
+
+# Run Pylint
+env GUIX_PACKAGE_PATH="$HOME/guix-bioinformatics:$HOME/guix-past/modules" \
+ guix environment --load=guix.scm -- pylint sheepdog/worker.py gn3/ tests
+
+echo Done Running Pylint!
+cd $CUR_DIR
diff --git a/scripts/laminar/gn3-mypy.sh b/scripts/laminar/gn3-mypy.sh
new file mode 100644
index 0000000..a2a9782
--- /dev/null
+++ b/scripts/laminar/gn3-mypy.sh
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+set -e # Abort on first error
+CUR_DIR=$PWD
+GN3_CI_DIR=$HOME/CI/genenetwork3/
+
+cd $GN3_CI_DIR
+git pull
+
+# Run Pylint
+env GUIX_PACKAGE_PATH="$HOME/guix-bioinformatics:$HOME/guix-past/modules" \
+ guix environment --load=guix.scm -- mypy .
+
+echo Done Running MyPy!
+cd $CUR_DIR
diff --git a/scripts/laminar/gn3-unittest.sh b/scripts/laminar/gn3-unittest.sh
new file mode 100644
index 0000000..41dafe5
--- /dev/null
+++ b/scripts/laminar/gn3-unittest.sh
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+set -e # Abort on first error
+CUR_DIR=$PWD
+GN3_CI_DIR=$HOME/CI/genenetwork3/
+
+cd $GN3_CI_DIR
+git pull
+
+# Run Pylint
+env GUIX_PACKAGE_PATH="$HOME/guix-bioinformatics:$HOME/guix-past/modules" \
+ guix environment --load=guix.scm -- python -m unittest discover
+
+echo Done Running Unittests!
+cd $CUR_DIR